C89(1)

NAME
c89 - ANSI (1989) C compiler

SYNOPSIS
c89 [-pedantic] [-pedantic-errors] [-D_ANSI_SOURCE] options ...

DESCRIPTION
Calls the C compiler (cc) with the given options , using a C language environment compatible with the -ansiC specification.

This includes proper handling of trigraphs, disabling non-ANSI compiler features (such as asm , inline , typeof , and the $ character in identifiers), and definition of the preprocessor symbol __STRICT_ANSI__ .

SEE ALSO
cc(1) for a description of all options.

HISTORY
Appeared in NetBSD 1.4 .

BUGS
Since c89 is a shell wrapper script to cc , compile errors are prefixed by "cc:".